aboutsummaryrefslogtreecommitdiff
path: root/pyfu/build.sh
diff options
context:
space:
mode:
authorJames E.H. Turner <jturner@gemini.edu>2022-05-25 19:12:42 -0400
committerJames E.H. Turner <jturner@gemini.edu>2022-05-25 19:12:42 -0400
commit0137085a310a7018985e126ee9e3ff15aaae8a9e (patch)
treef21685657c505fe2db30818d2fdcd4c737c3f52c /pyfu/build.sh
parentf71b72415ab046a2b265b11e25e7cb7421813469 (diff)
downloadastroconda-iraf-0137085a310a7018985e126ee9e3ff15aaae8a9e.tar.gz
Update pyfu recipe to use pip & ensure it doesn't produce an egg instead of copying the pyfu directory to site-packages (causing later file copies to fail).
Also re-order meta.yaml as needed to avoid a known conda-build problem/bug.
Diffstat (limited to 'pyfu/build.sh')
-rw-r--r--pyfu/build.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/pyfu/build.sh b/pyfu/build.sh
index 2881c55..dea1737 100644
--- a/pyfu/build.sh
+++ b/pyfu/build.sh
@@ -1,5 +1,7 @@
+set -e
+
# Install as a Python package:
-python setup.py install || exit 1
+$PYTHON -m pip install . --no-deps --ignore-installed --no-cache-dir -v
# Documentation:
mkdir -p ${PREFIX}/share/pyfu && cp -p README LICENSE ${PREFIX}/share/pyfu/
@@ -11,7 +13,7 @@ mkdir -p ${PREFIX}/share/pyfu && cp -p README LICENSE ${PREFIX}/share/pyfu/
. ac_iraf_defs
ext_path="${PREFIX}/${extern_dir}"
-mkdir -p "$ext_path" || exit 1
+mkdir -p "$ext_path"
(cd "$ext_path" && ln -s ${SP_DIR}/pyfu .)